<app-store-head  ></app-store-head>

<div class="container">
<div class="wrapper">
  <div class="modal fade" id="help" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Communiquer avec notre Chatbot</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
          <div class="form-row">
            <div class="form-group">
              <input type="text" class="form-control">
            </div>
            <br>
            <div class="form-group">
              <input type="text" class="form-control">
            </div>

          </div>


        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Fermer</button>
          <button type="button" class="btn btn-primary">Demarrer</button>
        </div>
      </div>
    </div>
  </div>


<div class="nav-menu">
  <app-store-menu [menu]="menu" ></app-store-menu>
</div>
 <div class="offcanvas offcanvas-start" data-bs-scroll="true" data-bs-backdrop="false" tabindex="-1" id="offcanvasScrolling" aria-labelledby="text">
    <div class="offcanvas-header">
      <h5 class="offcanvas-title" id="text">Texte</h5>
      <button type="button" class="btn-close text-reset" data-bs-dismiss="offcanvas" aria-label="Close"></button>
    </div>
    <div class="offcanvas-body">

         <div class="col">
           <input type="text" placeholder="Searching ...." name="search" id="seach">
         </div>


      <div class="row" hidden>



        <div class="card-header">
          Happy Birthday
        </div>
        <div class="card">

          <img src="https://th.bing.com/th/id/R.5338fbcedc83fc9d8abe31e5b8be828d?rik=8goDeX%2b8gC%2flDA&pid=ImgRaw&r=0" role="button"   height="100" width="100" >
        </div>


        <div class="card">

          <img role="button" src="https://pngimg.com/uploads/happy_birthday/happy_birthday_PNG16.png"  height="100" width="100" >
        </div>

        <div class="card">

          <img role="button" src="https://pngimg.com/uploads/happy_birthday/happy_birthday_PNG38.png"  height="100" width="100" >
        </div>
        <div class="card">
          <img role="button" src="https://pngimg.com/uploads/happy_birthday/happy_birthday_PNG20.png"  height="100" width="100" >


        </div>

        <div class="card">
          <img role="button" src="https://th.bing.com/th/id/OIP.NODi0ZpoKGmHDhknQDU-jQHaHa?pid=ImgDet&w=1550&h=1550&rs=1"  height="100" width="100" >

        </div>


        <div class="card">
          <img src="https://www.pngarts.com/files/3/Fancy-Happy-Birthday-PNG-Transparent-Image.png" width="100" height="100" role="button">
        </div>


        <div class="card">
          <img src="https://www.pngarts.com/files/3/Fancy-Happy-Birthday-PNG-Transparent-Image.png" width="100" height="100" role="button">
        </div>
        <div class="card">
          <img src="https://www.pngarts.com/files/3/Fancy-Happy-Birthday-PNG-Transparent-Image.png" width="100" height="100" role="button">
        </div>
        <div class="card">
          <img src="https://www.pngarts.com/files/3/Fancy-Happy-Birthday-PNG-Transparent-Image.png" width="100" height="100" role="button">
        </div>
        <div class="card">
          <img src="https://www.pngarts.com/files/3/Fancy-Happy-Birthday-PNG-Transparent-Image.png" width="100" height="100" role="button">
        </div>
        <div class="card">
          <img src="https://www.pngarts.com/files/3/Fancy-Happy-Birthday-PNG-Transparent-Image.png" width="100" height="100" role="button">
        </div>
        <div class="card">
          <img src="https://www.pngarts.com/files/3/Fancy-Happy-Birthday-PNG-Transparent-Image.png" width="100" height="100" role="button">
        </div>
        <div class="card">
          <img src="https://www.pngarts.com/files/3/Fancy-Happy-Birthday-PNG-Transparent-Image.png" width="100" height="100" role="button">
        </div>



      </div>


  <div class="row">
    <div class="form-row">
      <br><br>
      <div class="form-group">
        <label for="font">Police</label>
        <select class="form-control" name="font" id="font" (change)="font($event)">
          <option value="choix">Choix de police</option>
          <option *ngFor="let item of fonts" [value]='item.name + "*" +item.url'>{{item.name}}</option>
        </select>
      </div>
      <div class="form-group col-2">
        <label for="colorDestination1">Couleur</label>
        <input type="color" name="inputcolor" [(ngModel)]="color_"  (input)="OncolorPiked()" class="form-control" id="colorDestination1" >
      </div>
      <div class="form-group" style="display: flex;">

        <i class="fa-solid fa-italic" (click)="makeItalic()" role="button" style="margin-right: 25px;"></i>

        <i class='bx bx-bold' role="button" (click)="makeBold()"></i>
      </div>
      <div class="form-group">
        <label for="design-text-">Texte</label>
        <input type="text" name="design-text" class="form-control" id="design-text-"  [(ngModel)]="text" placeholder="Votre text"> <br>
        <a role="button" class="btn btn-success" (click)="addtext(canvas,text)">Ok</a>

      </div>

    </div>


  </div>

      <div class="row" hidden>

        <div class="form-row">
          <div class="card-header" style="height:50px ;">
            Tailles
          </div>

          <div class="form-group">
            <select name="" class="form-control" id="">
              <option value="">M</option>
              <option value="">L</option>
              <option value="">XL</option>

            </select>
          </div>
        </div>

        <div class="form-row">
          <div class="card-header" style="height:50px ;">
            Types d'impression
          </div>
          <div class="form-group">
            <select name="" class="form-control" id="">
              <option value="">DTF</option>
              <option value="">Flexographie</option>
            </select>
          </div>
        </div>


        <div class="form-row">
          <div class="card-header" style="height:40px ;">
           Description
          </div>
          <div class="form-group">
              <textarea name="" id="" cols="30" rows="5" class="form-control"></textarea>
          </div>

        </div>

        <div class="form-row">
          <div class="card-header" style="height:40px ;background:white">
            <a role="button" class="btn btn-danger" style="width: 100px;">-</a> 1
            <a role="button" class="btn btn-success" style="width: 100px">+</a>
          </div>
          <div class="form-group" style="display:flex">
            <a href="" class="btn " style="margin-right: 100px;">
              <i class="fa-solid fa-cart-plus fa-2x" style="color:#324161"> </i>
               </a>
               <a href="">Acheter</a>
          </div>
        </div>


      </div>



     <div class="card-footer" hidden>
       <a href="?" class="btn" data-bs-toggle="modal" data-bs-target="#help">Vous avez besoin d'aide?</a>
     </div>


<!-- Modal -->

    </div>
  </div>
  <div class="page">
    <canvas id="c" height="100" width="100" ></canvas>

    <img src="{{url.uri}}"   height="300" width="300" id="testing" class="image" >

    <div class="mobile" >
      <ul>
          <li>

    <a  type="button"  data-bs-toggle="offcanvas" data-bs-target="#offcanvasScrolling" aria-controls="offcanvasScrolling">
      <i class='bx bx-text' style="font-size:30px"></i>
   <br>
      Texte</a>

          </li>

          <li>
              <a type="button" >
                  <i class="fa-solid fa-images fa-2x"></i>

                  <br>

                  Photo</a>
          </li>

          <li>
              <a type="button" >
                  <i class="fa-solid fa-shapes fa-2x"></i>

                  <br>
                  Formes

          </a>
          </li>
          <li>
              <a type="button" >
                  <i class="fa-solid fa-arrow-up-from-bracket fa-2x"></i>

                  <br>

                  Image</a>
          </li>
          <li>
              <a type="button" >
                  <i class="fa-solid fa-border-none fa-2x"></i>

                  <br>
                  Plan

              </a>
          </li>
          <li  >
            <a  (click)="addtocard()" style="width: 100%;" role="button" type="button" >
             <i class="fa-solid fa-cart-plus fa-2x" style="color: red;"> </i>
             <br>
             Acheter
            </a>
          </li>

      </ul>
  </div>

  <div class="image-side" hidden>
    <ul>
      <li>
        <img  src="{{url.uri}}" width="100" height="100"   >

      </li>
      <li>
        <img  src="{{url.uri}}" width="100" height="100"   >

      </li>
      <li>
        <color-circle [color]="color"></color-circle>

      </li>
    </ul>



  </div>

  </div>

  <div class="image-side-lg">
    <ul hidden>
      <li>
        <img  src="{{url.uri}}" width="100" height="100"   >

      </li>
      <li>
        <img  src="{{url.uri}}" width="100" height="100"   >

      </li>

      <li>
        <img  src="{{url.uri}}" width="100" height="100"   >

      </li>   <li>
        <img  src="{{url.uri}}" width="100" height="100"   >

      </li>

      <li>
        <color-circle [color]="color"></color-circle>
      </li>
    </ul>
    <div class="card">
      <ul>
        <li>
          <div class="selected" style="margin-top: 2px; width:100%">
            <select class="form-control" name="font" id="font" (change)="font($event)">
              <option value="choix">Choix de police</option>
              <option *ngFor="let item of fonts" [value]='item.name + "*" +item.url'>{{item.name}}</option>
            </select>
          </div>
        </li>
        <li>
         <input type="color" name="color_" id="colorDestination"  [(ngModel)]="color_"  (input)="OncolorPiked()">

        </li>


      </ul>

      <ul>
        <li style="display: flex;">

          <i class="fa-solid fa-italic" (click)="makeItalic()" role="button"></i>

          <i class='bx bx-bold' role="button" (click)="makeBold()"></i>

        </li>


      </ul>
      <div class="in-text">
        <input type="text" name="design-text" id="design-text"  [(ngModel)]="text" placeholder="Votre text"> <br>
        <a role="button" (click)="addtext(canvas,text)">Ok</a>
      </div>


    </div>
  </div>







  <div hidden class="editor-sidebar-right">
    <ul>
      <li>
       <ul>

         <li>
          <a class="nav-link">
            <input type="color" id="colorDestination" value="#23278a">
         </a>
         </li>
         <li>
          <a class="nav-link">
            <i class="fa-solid fa-italic"></i>

         </a>
         </li>

         <li>
           <a class="nav-link">
            <i class='bx bx-bold'></i>

           </a>
         </li>

       </ul>
      </li>

      <li>
        <ul>
          <input type="text" name="text" id="text" width="100%" placeholder="Votre text">
        </ul>
      </li>

        <li hidden>
          <label for="fileP" role="button" style="width: 100%">
            <input type="file" id="fileP" hidden>
            importer un fichier
          </label>
        </li>

      <li>
        <span>
          <br>
          Couleurs du produit
          <color-circle [color]="color"></color-circle>
        </span>
      </li>
    </ul>

    <ul style="display: flex; margin-left:0px">
      <li>
        <a role="button"  style="font-size: 15px;">
          Taille
          <div class="card" style="padding: 5px; width:100px">
            <ul style="display: block;overflow:scroll; height:130px;width:100%;padding-left:0%">
              <li *ngFor="let item of size">
                <label for="size">
                  <input type="radio" name="size" id="size">
                  {{item.name}}
                </label>

              </li>


            </ul>
          </div>

        </a>
      </li>
      <li><a role="button" >
        Impression
        <div class="card">
          <ul style="display:block;overflow:scroll; height:130px;width:100%">
            <li *ngFor="let item of printing">
              <label for="printing">
                <input type="radio" name="printing" id="printing">
                {{item.name}}
              </label>
            </li>

          </ul>
        </div>

      </a>
      </li>
    </ul>
  </div>


  <div class="detail" >
    <div class="row" style="background: white">
      <div class="card" style="width: 100%;">
        <div class="card-title">Details</div>
        <div class="card-body" style="overflow-y: scroll ;">
         Lorem ipsum dolor sit amet consectetur adipisicing elit. Nihil ad libero quasi nisi quas accusamus reprehenderit quo ullam repellendus officia? Tempora totam soluta rerum adipisci sequi quia, officiis perspiciatis eius nesciunt dolor? Inventore ab, asperiores dolore atque voluptatum sequi aliquid veritatis aut architecto minima, blanditiis pariatur autem laudantium. Ratione quaerat ea error commodi ipsam dolor, possimus eius sed, nisi voluptate corporis numquam cum id, inventore aut dolores provident exercitationem laborum esse. Corrupti ipsam velit at veritatis, blanditiis hic magnam eveniet explicabo aut asperiores laudantium, odit distinctio repellat voluptatem enim laboriosam dicta placeat qui tenetur delectus, dignissimos quam? Unde, aliquam repellendus?
         Lorem ipsum dolor sit amet consectetur adipisicing elit. Nihil ad libero quasi nisi quas accusamus reprehenderit quo ullam repellendus officia? Tempora totam soluta rerum adipisci sequi quia, officiis perspiciatis eius nesciunt dolor? Inventore ab, asperiores dolore atque voluptatum sequi aliquid veritatis aut architecto minima, blanditiis pariatur autem laudantium. Ratione quaerat ea error commodi ipsam dolor, possimus eius sed, nisi voluptate corporis numquam cum id, inventore aut dolores provident exercitationem laborum esse. Corrupti ipsam velit at veritatis, blanditiis hic magnam eveniet explicabo aut asperiores laudantium, odit distinctio repellat voluptatem enim laboriosam dicta placeat qui tenetur delectus, dignissimos quam? Unde, aliquam repellendus?


        </div>
      </div>
    </div>
  </div>

</div>

<div class="right-info" >
  <div class="card">
    <div class="card-header">
      Livraison & Retour
    </div>
    <div class="card-body">
      <select name="delivery" id="dl">
        <option value="Abidjan">Abidjan</option>
        <option value="Tunis">Tunis</option>
      </select>

      <select name="delivery" id="dl">
        <option value="Abidjan">Yop</option>
        <option value="Tunis">Tunis</option>
      </select>
      <hr>

      <p>
        <strong>Livraison à domicile</strong>
        Lorem ipsum dolor, sit amet consectetur adipisicing elit. Soluta, quae?
      </p>
      <hr>

    <p>
      <strong> Point relais</strong>
      Lorem ipsum dolor sit amet consectetur, adipisicing elit. Ad, unde.
      <a href="">Detail</a>

    </p>
    <hr>

    <p>
      <strong>Politique de retour</strong>
      Lorem, ipsum dolor sit amet consectetur adipisicing elit. Nemo, ad?
      <a href="">Detail</a>

    </p>
    </div>

  </div>
  <div class="card" style="height:200px ; ">
    <div class="card-header">
      Informations sur le vendeur

      <a href="" style="width: 100%;">Detail</a>

    </div>
    <p>
      <strong>ALADIN PRINTING SERVICE</strong>

    </p>
    <hr>


    <div class="abon">
      <p>
        256 abonnées
      </p>
      <br>
      <p>Evaluation du vendeur 50%</p>
      <a type="button" >

      Suivre</a>
      <hr>

    <strong>Performance du vendeur</strong>
      <ul>
        <li>
   Teaux des commandes: Excellent
        </li>
        <li>
          Score Qualité/Prix: Bon
        </li>
        <li>
          Avis des consommateur:Moyen
        </li>
      </ul>

    </div>

  </div>
  <div class="card">
    <div class="card-header">
      Envoyer votre commentaire
    </div>
    <div class="card-body">
      <div class="col">
      <div class="form-group">
        <label for="email">Email</label>
        <input type="email" id="email" name="email " class="form-control" >

      </div>

      </div>
      <div class="col">
        <div class="form-group">
          <label for="addresse">Messages</label>
          <textarea class="form-control" id="addresse" rows="3"></textarea>
        </div>
      </div>
      <br>
      <div class="col">
        <a role="button" class="btn btn-success">Envoyer</a>
      </div>
    </div>

  </div>

</div>


</div>



<div class="row row-upper"  >

  <app-store-recommendation [url]="url" hidden></app-store-recommendation>
  <div class="row info" >
    <div class="card">
      <div class="card-header">
        Livraison & Retour
      </div>
      <div class="card-body">
        <select name="delivery" id="dl">
          <option value="Abidjan">Abidjan</option>
          <option value="Tunis">Tunis</option>
        </select>

        <select name="delivery" id="dl">
          <option value="Abidjan">Yop</option>
          <option value="Tunis">Tunis</option>
        </select>
        <hr>

        <p>
          <strong>Livraison à domicile</strong>
          Lorem ipsum dolor, sit amet consectetur adipisicing elit. Soluta, quae?
        </p>
        <hr>

      <p>
        <strong> Point relais</strong>
        Lorem ipsum dolor sit amet consectetur, adipisicing elit. Ad, unde.
        <a href="">Detail</a>

      </p>
      <hr>

      <p>
        <strong>Politique de retour</strong>
        Lorem, ipsum dolor sit amet consectetur adipisicing elit. Nemo, ad?
        <a href="">Detail</a>

      </p>
      </div>

    </div>


    <div class="card" style="height:300px ; ">
      <div class="card-header">
        Informations sur le vendeur

        <a href="" style="width: 100%;">Detail</a>

      </div>
      <p>
        <strong>ALADIN PRINTING SERVICE</strong>

      </p>
      <hr>


      <div class="abon">
        <p>
          256 abonnées
        </p>
        <br>
        <p>Evaluation du vendeur 50%</p>
        <a type="button" >

        Suivre</a>
        <hr>

      <strong>Performance du vendeur</strong>
        <ul>
          <li>
     Teaux des commandes: Excellent
          </li>
          <li>
            Score Qualité/Prix: Bon
          </li>
          <li>
            Avis des consommateur:Moyen
          </li>
        </ul>

      </div>

    </div>
    <div class="card">
      <div class="card-header">
        Envoyer votre commentaire
      </div>
      <div class="card-body">
        <div class="col">
        <div class="form-group">
          <label for="email">Email</label>
          <input type="email" id="email" name="email " class="form-control" >

        </div>

        </div>
        <div class="col">
          <div class="form-group">
            <label for="addresse">Messages</label>
            <textarea class="form-control" id="addresse" rows="3"></textarea>
          </div>
        </div>
        <br>
        <div class="col">
          <a role="button" class="btn btn-success">Envoyer</a>
        </div>
      </div>

    </div>
  </div>


  <app-store-footers></app-store-footers>
</div>









